wrong software and data distribution on node75.d4science.org

Sep 15, 2017 07:22 PM - Tommaso Piccioli

Status: Closed Start date: Sep 29, 2017

Priority: Urgent Due date:  

Assignee: Nunzio Andrea Galante % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production   

Description

Two kind of problems on this host:

more than duplicate occopus software directory

/home/gcube/nodes/occopus

/home/gcube/occopus

/home/gcube/tomcat/logs/occopus

/home/gcube/tomcat/occopus

more than 32000 data files in the /home/gcube/tomcat

There is a third potential problem, occopus software seems to use an embedded version of python and this is not welcome, at

all

Please fix and clean the first thwo problems and let us know the reasons for the third.

Subtasks:

VM Creation # 9726: Provide new VM for hosting fhn-manager service Closed

History

#1 - Sep 18, 2017 11:24 AM - Nunzio Andrea Galante

- Status changed from New to In Progress

- % Done changed from 0 to 10

#2 - Sep 18, 2017 05:54 PM - Nunzio Andrea Galante

- % Done changed from 10 to 50

First, let me say that we need to upgrade to java8 such node, otherwise we have to compile in java7 the entire set of dependecies of this component.

In the past we used the Occopus framework in the EGI project context and yes, it needs his own Python to work correctly. Anyway, since the features

of interest for us provided by Occopus (e.g. the OCCI support) are/were already covered from FHNManager Service, i have unistalled Occopus from

the node and a new version of the service will be deployed within tomorrow. This has no impacts on the correct execution of the FHNManager Service

and the minor changes made will be totally transparent to the portlet using the service.

The only difference is that now you will not find anymore any Occopus directories and that the data files in the /home/gcube/tomcat directory will be

empty (actually 32000 files have been clean).

#3 - Sep 18, 2017 08:02 PM - Andrea Dell'Amico

- Description updated

#4 - Sep 18, 2017 08:09 PM - Andrea Dell'Amico

Nunzio Andrea Galante wrote:

First, let me say that we need to upgrade to java8 such node, otherwise we have to compile in java7 the entire set of dependecies of this

component.

 Yes, that's should be already happened.

In the past we used the Occopus framework in the EGI project context and yes, it needs his own Python to work correctly. Anyway, since the
features of interest for us provided by Occopus (e.g. the OCCI support) are/were already covered from FHNManager Service, i have unistalled

Occopus from the node and a new version of the service will be deployed within tomorrow. This has no impacts on the correct execution of the

FHNManager Service and the minor changes made will be totally transparent to the portlet using the service.

The only difference is that now you will not find anymore any Occopus directories and that the data files in the /home/gcube/tomcat directory will

be empty (actually 32000 files have been clean).

 I noticed that the voms/occi packages where all manually installed. As all the components must be deployed by the provisioning system, that part

should be added to the playbook.

We already have roles that install those, you can find into the ansible playbooks repository under library/roles/egi. The defaults should be replaced

with the correct values.

#5 - Sep 19, 2017 03:57 PM - Nunzio Andrea Galante

Please refer to fhn-manager-service-1.2.3-4.7.0-153229 component available in the repository towards the new Staging version to deploy.

#6 - Sep 19, 2017 03:59 PM - Nunzio Andrea Galante

- % Done changed from 50 to 100

Please refer to fhn-manager-service-1.2.3-4.7.0-153229 component available in the repository towards the new Staging version to deploy.

#7 - Sep 19, 2017 04:02 PM - Andrea Dell'Amico

@tommaso.piccioli@isti.cnr.it noted yesterday that the running distribution is Ubuntu 12.04. That VM must be recreated as 14.04 because it's not

compatible with java 8.

#8 - Sep 20, 2017 04:51 PM - Roberto Cirillo

- Tracker changed from Incident to Task

I'm going to change this tracker to task since the problem is solved and open a subtask for creating a new VM for deploying the new fhn-manager

version.

#9 - Sep 29, 2017 12:35 PM - Nunzio Andrea Galante

- Due date set to Sep 29, 2017

- Start date changed from Sep 20, 2017 to Sep 29, 2017

due to changes in a related task

#10 - Oct 18, 2017 07:14 PM - Tommaso Piccioli

Could you please clarify the situation of this server?

#11 - Oct 18, 2017 07:21 PM - Andrea Dell'Amico

You can destroy it. There's a newer one: fhn-manager-t.pre.d4science.org

#12 - Oct 18, 2017 07:52 PM - Tommaso Piccioli

I suspect that there is something different still running on node75... 

#13 - Oct 18, 2017 08:32 PM - Andrea Dell'Amico

Well, it shouldn't :-)

#14 - Nov 16, 2017 06:52 PM - Tommaso Piccioli

Could you please tell me what is doing this node?

If there will be no answer I will shutdown it in 24 hours.

#15 - Nov 17, 2017 07:24 PM - Tommaso Piccioli

- Status changed from In Progress to Closed
